html {
	background: white;
}

body {
	overflow-y: scroll;
	overflow-x: hidden;
}

.main-content {
	background-color: #fbfbfb;
}

.market-link-div {
	background: whitesmoke;
}

.main-content-wrap {
	background-image: radial-gradient(rgb(68, 71, 124) 0.65px,
		rgb(250, 250, 250) 0.65px);
	background-size: 13px 13px;
}

.cursor-pointer {
	cursor: pointer;
}

.choices-multiple-button-container-space {
	background-color: #f1f1ff;
}

.history-data-chart-table-container {
	background-color: white;
}

.go-to-page-container {
	background-color: #f5f3f3;
}

.price-rise-container {
	background-color: #ecffec;
}

.price-fall-container {
	background-color: #fff0f0;
}

.navigation-tabs-container {
	background-color: #3f51b5 !important;
}

.price-rise-container-header {
	background-color: #ddffdd;
}

.price-rise-container-body {
	background-color: #d7f8d7;
}

.price-fall-container-header {
	background-color: #ffe5e5;
}

.price-fall-container-body {
	background-color: #fbdddd;
}

.calendar-selection-container {
	background-color: #fff;
}

.choices__inner {
	background-color: #f9f9f9;
}

.choices__input {
	background-color: #f9f9f9;
}

.nav-link.active {
	background-color: #fff;
}

.navigation-tabs-container-wrapper {
	background-color: #3f51b5;
}

.content-header-div {
	background-color: #dbe4f3b5;
	color: #26006f;
}

.table {
	color: #212529;
}

.vegetable-page-row-drop-down {
	background-color: #efefef99;
}

.common-footer-page-container {
	background-color: #3f51b5;
	color: white;
}

@media ( prefers-color-scheme : dark) {
	html {
		background-color: black;
	}
	body {
		background-color: black;
	}
	.main-content {
		background-color: #292929;
		color: white;
	}
	.market-link-div {
		background: #373737;
	}
	.table {
		color: #ffffff !important;
	}
	.main-content-wrap {
		background-image: radial-gradient(rgb(176 179 210) 0.65px,
			rgb(35, 35, 35) 0.65px);
		background-size: 13px 13px;
	}
	.choices-multiple-button-container-space {
		background-color: #292929;
	}
	.choices__list {
		color: black !important;
	}
	.go-to-page-container {
		background-color: #2c2c2c;
		color: white;
	}
	.price-rise-container {
		background-color: #090e0b;
		color: white;
	}
	.price-fall-container {
		background-color: #100707;
		color: white;
	}
	.price-rise-container-header {
		background-color: #113311;
	}
	.price-rise-container-body {
		background-color: #213621;
	}
	.price-fall-container-header {
		background-color: #4c1616;
	}
	.price-fall-container-body {
		background-color: #2f1111;
	}
	.calendar-selection-container {
		background-color: #3e3e3e;
	}
	.navigation-tabs-container {
		background-color: #343c6b !important;
	}
	.nav-link.active {
		background-color: #2e2e2e !important;
		color: white !important;
	}
	.history-data-chart-table-container {
		background-color: #292929;
	}
	.navigation-tabs-container-wrapper {
		background-color: #343c6b;
	}
	.content-header-div {
		background-color: #434343b5;
		color: #c6b1f2;
	}
	.vegetable-page-row-drop-down {
		background-color: #12101099;
	}
	.nav-tabs {
		border-bottom: 1px solid #1f1f1f;
	}
	.common-footer-page-container {
		background-color: #1c2038;
		color: white;
	}
}

.auto-theme-table {
	/* Light theme colors */
	--bs-table-bg: var(--bs-body-bg);
	--bs-table-color: var(--bs-body-color);
	--bs-table-striped-bg: rgba(0, 0, 0, 0.05);
	--bs-table-striped-color: var(--bs-body-color);
	--bs-table-hover-bg: rgba(0, 0, 0, 0.075);
	--bs-table-hover-color: var(--bs-body-color);
	border-color: var(--bs-border-color);
}

@media ( prefers-color-scheme : dark) {
	.auto-theme-table {
		--bs-table-bg: #212529;
		--bs-table-color: #f8f9fa;
		--bs-table-striped-bg: rgba(255, 255, 255, 0.05);
		--bs-table-striped-color: #f8f9fa;
		--bs-table-hover-bg: rgba(255, 255, 255, 0.075);
		--bs-table-hover-color: #f8f9fa;
		border-color: #495057;
	}
}

.market-link-div {
	padding: 7px 15px 7px 15px;
	border-bottom: 0.5px solid #b9b9b978;
}

.market-link {
	color: #27c859;
	font-size: 17px;
	text-decoration: none;
}

.market-link:hover {
	text-decoration: underline;
}

.find-more-button {
	color: #27c859;
	font-size: 15px;
	text-decoration: none;
	border: 0px;
	background-color: transparent;
}

.find-more-button:hover {
	text-decoration: underline;
}

.find-more-market-link {
	color: #ffffff;
	background-color: #1900a6bf;
	border: 2px solid #140065;
	font-size: 16px;
	text-decoration: underline;
	margin: 3px 1px;
	display: inline-block;
	padding: 2px 4px !important;
}

.find-more-market-link:hover {
	color: #e3e3e3;
	background-color: #2909dabf;
}

.table {
	margin-bottom: 0px;
}

.nopadding {
	padding: 0px !important;
}

.nomargin {
	margin: 0px !important;
}

.content-header-div {
	font-weight: bold;
	font-size: 23px;
	padding: 2px 17px;
}

.highcharts-figure {
	min-height: 400px;
	margin-bottom: 0px;
}

.highcharts-credits {
	display: none;
}

.historyDataTableDateSpan {
	display: none;
}

#gotoCitySelectorContainer {
	display: inline-block;
}

.choices__list--multiple .choices__item {
	font-size: 1em !important;
	background-color: #0a58ca !important;
	border: 1px solid #00a5bb !important;
	color: #fff !important;
}

.anchorFavoriteTag {
	max-width: 16em;
	text-overflow: ellipsis;
	overflow: hidden;
}

@media ( min-width : 380px) {
	.anchorFavoriteTag {
		max-width: 18em;
	}
}

@media ( min-width : 576px) {
	.anchorFavoriteTag {
		max-width: 25em;
	}
}

.success-message-span {
	color: green;
}

.error-message-span {
	color: red;
}

tr.todayVegetableTableRows td {
	vertical-align: middle;
	cursor: pointer;
}

tr.todayVegetableTableRows td.vegetable-image-td {
	text-align: center;
}

tr.todayVegetableTableRows th {
	vertical-align: middle;
	cursor: pointer;
}


/* TODO: remove this */
.vegetableImageDiv {
	background-image: url('/resource/images/static/vegetables-light-64.png');
	background-repeat: no-repeat;
	display: inline-block;
	vertical-align: middle;
}

.tableRowImage {
    background-repeat: no-repeat;
    display: inline-block;
}

/* TODO: remove this */
@media ( prefers-color-scheme : dark) {
	.vegetableImageDiv {
		background-image: url('/resource/images/static/vegetables-dark-64.png');
	}
}

tr.todayPriceTableRows td {
	vertical-align: middle;
	cursor: pointer;
}


/* SVG Image files */
.svg-file-icon {
	display: inline-block;
	width: 1.5em;
	height: 1.5em;
	vertical-align: middle;
	background-repeat: no-repeat;
	background-position: center;
	background-size: 100%;
}
